Package com.rosivanyshyn.service.impl

# Class AccountServiceImpl

java.lang.Object
com.rosivanyshyn.service.impl.AccountServiceImpl

All Implemented Interfaces:
  `AccountService`

public class AccountServiceImpl extends Object implements AccountService

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccountServiceImpl(AccountDAO accountDAO, DBManager dbManager)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Boolean`
  `createAccount(Account account)`
  Create new account
  `Boolean`
  `deleteAccount(Account account)`
  Delete account
  `Account`
  `findAccountByField(String field, Object value)`
  Find account by field
  `Boolean`
  `isAccountExist(Account account)`
  Check if account exist
  `Boolean`
  `updateAccount(Account account)`
  Update account

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AccountServiceImpl

    public AccountServiceImpl(AccountDAO accountDAO, DBManager dbManager)

- ## Method Details

  - ### createAccount

    public Boolean createAccount(Account account)
    Description copied from interface: `AccountService`
    Create new account
    Specified by:
      `createAccount` in interface `AccountService`
    Parameters:
      `account` - the account to be added
    Returns:
      operation result

  - ### isAccountExist

    public Boolean isAccountExist(Account account)
    Description copied from interface: `AccountService`
    Check if account exist
    Specified by:
      `isAccountExist` in interface `AccountService`
    Parameters:
      `account` - the account to be checked
    Returns:
      operation result

  - ### findAccountByField

    public Account findAccountByField(String field, Object value)
    Description copied from interface: `AccountService`
    Find account by field
    Specified by:
      `findAccountByField` in interface `AccountService`
    Parameters:
      `field` - field name
      `value` - unique field value
    Returns:
      found account

  - ### updateAccount

    public Boolean updateAccount(Account account)
    Description copied from interface: `AccountService`
    Update account
    Specified by:
      `updateAccount` in interface `AccountService`
    Parameters:
      `account` - account to update
    Returns:
      operation result

  - ### deleteAccount

    public Boolean deleteAccount(Account account)
    Description copied from interface: `AccountService`
    Delete account
    Specified by:
      `deleteAccount` in interface `AccountService`
    Parameters:
      `account` - account to delete
    Returns:
      operation result